Facet.FacetType (Gradle API 2.14.1)

org.gradle.plugins.ide.eclipse.model

## Enum Facet.FacetType

- java.lang.Object
- - java.lang.Enum<Facet.FacetType>
  - - org.gradle.plugins.ide.eclipse.model.Facet.FacetType

- All Implemented Interfaces:
    Serializable, Comparable<Facet.FacetType>
  Enclosing class:
    Facet

      public static enum Facet.FacetType
      extends Enum<Facet.FacetType>

  An `installed` facet is really present on an Eclipse project whereas facet type `fixed` means that this facet is locked and cannot be simply removed. See also here.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `fixed`
    `installed`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Facet.FacetType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Facet.FacetType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### installed

          public static final Facet.FacetType installed

    - #### fixed

          public static final Facet.FacetType fixed

  - ### Method Detail

    - #### values

          public static Facet.FacetType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Facet.FacetType c : Facet.FacetType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Facet.FacetType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null